当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 无线网卡驱动的问题
帖子发表于 : 2008-10-14 22:22 

注册: 2008-08-02 1:04
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
Ubuntu8.04
笔记本为:TOSHIBA M307
无线网卡为:Atheros AR5007EG Wireless Network Adapter

系统装好后可以看到驱动也启用了。但是无线网卡就是没有反应。无线网络打开是空的。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 无线网卡驱动的问题
帖子发表于 : 2008-10-15 6:26 

注册: 2008-10-15 6:23
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
我还不知道无线网络驱动如何安装呢,顺便请教


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 无线网卡驱动的问题
帖子发表于 : 2008-10-19 11:04 

注册: 2008-05-02 6:36
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
1. Open you terminal

2. Get this version of madwifi:

wget -c http://snapshots.madwifi.org/special/ma ... 007.tar.gz

3. Untar the downloaded package:

tar xvf madwifi-ng-r2756+ar5007.tar.gz

4. Get inside the unpacked directory:

cd madwifi-ng-r2756+ar5007

5. If you haven’t compiled anything from source before on your linux then you propably need the build essential package:

sudo apt-get update && sudo aptitude install build-essential

6. Now you can build your madwifi and install the modules:
make

sudo make install
sudo modprobe ath_pci
sudo modprobe wlan_scan_sta

The last 2 commands can cause some complications on some systems. If they do check your System >> Administration >> Restricted Drivers Manager and disable atheros here. Then try again.

7. Now restart your computer and you should be able to see any aviable networks in your Network Manager.

http://www.stchman.com/ath_drv.html


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 无线网卡驱动的问题
帖子发表于 : 2008-10-19 11:07 

注册: 2008-05-02 6:36
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
Ubuntu默认安装并启用了Madwifi,如果要使用Ndiswrapper,必须先禁用Madwifi。方法多种,我是如下将默认驱动添加到blacklist:
echo “blacklist ath_pci” | sudo tee -a /etc/modprobe.d/blacklist
载入Windows下驱动的INF文件(可使用GUI完成,我的是net5211.inf)。
启用ndiswrapper并将它添加到启动模块中:
sudo modprobe ndiswrapper
echo “ndiswrapper” | sudo tee -a /etc/modules
最后sudo reboot 或 sudo init 6 重启。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 无线网卡驱动的问题
帖子发表于 : 2008-10-19 11:08 

注册: 2008-05-02 6:36
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
Checking For Atheros Chipsets

First, verify that your wireless network adapter requires the madwifi device drivers. Issue the following command:

sudo lspci | grep Atheros

If there is any output similar to that below, you should definitely install madwifi.

00:0e.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01)

If there is no output, try looking through [1] to see if your network adapter is supported.
[编辑] Installation

Navigate to [2] and download and extract the latest version of the madwifi drivers (0.9.4 at the time of this writing)

wget http://internap.dl.sourceforge.net/sour ... 9.4.tar.gz
tar -xvzf madwifi-0.9.4.tar.gz
cd madwifi-0.9.4

Download the necessary tools, compile and install the module

sudo apt-get install build-essential linux-headers-server
make
sudo make install

NOTE: If you are plan on using this wireless network adapter in "master" mode (i. e. for the purposes of setting up a wireless router), create the file `/etc/modprobe.d/madwifi` and add the following to it:

options ath_pci autocreate=ap

This will tell madwifi to set your wireless device (ath0) to master mode. Finally, load the module

sudo modprobe ath_pci


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 无线网卡驱动的问题
帖子发表于 : 2008-10-21 22:50 

注册: 2008-01-30 19:19
帖子: 794
送出感谢: 0 次
接收感谢: 0 次
各位,源程序包地址更新了
http://snapshots.madwifi.org/special/XXXX 这个地址已经不存在了,下载了压缩包只有400多字节,告诉你到新的源程序包下载地址:
New source: http://madwifi.org/ticket/1192


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 无线网卡驱动的问题
帖子发表于 : 2008-11-02 17:24 

注册: 2008-08-02 1:04
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
thanks!
非常感谢!

今天终于把 网线撤掉了。
无线还是舒服。


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 无线网卡驱动的问题
帖子发表于 : 2008-11-18 19:28 

注册: 2008-11-09 14:58
帖子: 951
送出感谢: 0 次
接收感谢: 0 次
8.10下不能用


_________________
我是菜鸟,我怕啥!顶多重新装一次又怎么样?10几年来WINDOWS我们重新来过了多少次?
其实也就只会装装系统,其他一概不会
http://youngerlak.blog.163.com


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译